Cómo actualizar a WordPress 5 de forma segura (con o sin Divi)

Cómo actualizar a WordPress 5 de forma segura (con o sin Divi)

Cuándo hay actualizaciones importantes, ya sean de WordPress, temas o plugins, es conveniente que lo hagas de la manera correcta para evitar sustos o incompatibilidades.

En este vídeo te explico paso a paso cómo debes hacerlo.

Es importante que actualices Divi a la versión 3.18+ antes de actualizar WordPress a la versión 5.0.

Si no tienes esa versión te recomiendo que actualices Divi. Si no tienes tu licencia aprovecha ahora que tienen el mayor descuento del año solo hasta el 19 de diciembre de 2018.

>> Compra tu Licencia de Divi aquí

>> Si tienes la Licencia Developer, pásate a la LifeTime

Nota: En el vídeo lo explico con el tema Divi pero puedes seguir estos mismos pasos tengas el tema que tengas

Cómo actualizar a WordPress 5

Tal y como explico en el vídeo, estos son los pasos que recomiendo seguir:

  1. Esperar al menos 15 días antes de actualizar
  2. Hacer una copia de seguridad desde el Hosting
  3. Actualizar plugins
  4. Actualizar el tema
  5. Actualizar WordPress
  6. Ver el nuevo constructor de bloques: Gutenberg
  7. (Opcional) Desactivarlo de forma sencilla si tienes Divi

Si tienes dudas, te escucho en los comentarios.

Comparte este post en tus redes sociales si te ha gustado. Gracias!

¿Qué puntuación le das?
[Total: 0 Media: 0]
Divi 3.18x es compatible con WordPress 5.0

Divi 3.18x es compatible con WordPress 5.0

Empezaré este artículo recomendando lo que digo siempre: Cuando haya actualizaciones importantes espera siempre 15 días al menos para actualizar.

¿Por qué? Porque si hay fallos en las nuevas versiones (ya sean de WordPress, temas o plugins) las solucionan esos días con todos los reportes que les manda la gente. Así que espera siempre un tiempo prudencial antes de actualizar para asegurarte de que ya han solucionado los posibles errores y haz siempre copia de seguridad antes.

Dicho esto, vamos al lío…

Es importante que actualices Divi a la versión 3.18+ antes de actualizar WordPress a la versión 5.0.

Si no tienes esa versión te recomiendo que actualices Divi. Si no tienes tu licencia aprovecha ahora que tienen el mayor descuento del año solo hasta el 19 de diciembre de 2018.

>> Compra tu Licencia de Divi aquí

>> Si tienes la Licencia Developer, pásate a la LifeTime

Si ya te vas a lanzar a actualizar WordPres 5 y Divi, te recomiendo que sigas los pasos correctos tal y como explico en este otro artículo, para evitar sustos:

>> Como actualizar a WordPress 5 de forma segura

 

WordPress 5.0 ya está aquí, y con él vienen algunos cambios muy grandes. WordPress 5.0 introduce una experiencia de edición completamente nueva. Este nuevo editor no solo reemplaza a TinyMCE, sino también a toda la página de edición de entradas. Para muchos, este cambio puede resultar negativo inicialmente.

La buena noticia es que WordPress 5.0 es compatible con Divi gracias al maravilloso trabajo de Elegant Themes.

La última versión de Divi es compatible con WordPress 5.0

Pero no solo Divi es compatible con WordPress 5.0.

Las últimas versiones de Divi, Extra, Bloom, Monarch y Divi Builder son compatibles con WordPress 5.0.

Esta versión aborda muchos problemas de compatibilidad con el nuevo editor de publicaciones de Gutenberg y te permitirá seleccionar entre Gutenberg y el Visual Builder.

Esta actualización también resuelve problemas con el nuevo sistema de meta box, que se usa para mostrar la configuración de la página Divi y las opciones de formato de publicación.

Puedes actualizar el tema y actualizar los plugins utilizando el sistema de actualización estándar de WordPress.

Divi Builder en WordPress 5.0

Usar el Divi Builder con WordPress 5.0 es un poco diferente a las versiones anteriores. Notarás que el diseño general del editor de publicaciones ha cambiado y que aparece un nuevo cuadro al crear nuevas páginas que te permitirán elegir entre Divi Builder y el editor de publicaciones estándar de WordPress. Puedes cambiar de uno a otro en cualquier momento.

WordPress 5.0 elimina el editor clásico de WordPress y el botón de Divi Builder “de bloques” (no el editor visual)

WordPress 5.0 reemplaza el Editor clásico con una experiencia de edición posterior completamente nueva.

Junto con la eliminación del Editor clásico viene la eliminación de todas las aplicaciones conectadas, como el botón de Divi Builder de bloques.

Después de actualizar a WordPress 5.0, verás que editor clásico de WordPress y el botón de Divi (también conocido como el constructor de bloques) no están por ninguna parte. Pero no te preocupes, aún puedes usarlos instalando el plugin Classic Editor Plugin. Esto deshabilitará la nueva experiencia de edición y te permitirá acceder al Divi Builder como antes.

Puedes usar el Divi Builder de bloques instalando el plugin: Editor clásico (pero no te va a hacer falta)

Si quieres seguir maquetando con el maquetador de bloques de Divi (es una pena porque con el maquetador visual se maqueta de maravilla), pero bueno, si decides instalar el plugin haz esto:

Una vez instalado, ve a Configuración> Escritura y asegúrate de que el Editor clásico esté configurado como tu editor predeterminado

Puedes desactivar Gutenberg en las opciones del tema Divi

También puede deshabilitar el nuevo editor de WordPress 5.0 (Gutenberg) y habilitar el Editor clásico dentro de las Opciones de tema Divi.

Si está utilizando WordPress 5.0 o superior, aparecerá una nueva en Divi > Opciones de tema > Builder > Avanzado.

Elegant Themes ofrece soporte para WordPress 5.0

En ELegant Themes se han esforzado en corregir errores importantes y en mejorar la compatibilidad entre Divi y WordPress 5.0 así como en sus plugins, etc., pero la historia no termina ahí.

Tienen tres etapas más en cuanto a soporte, planificadas para las próximas semanas, y las formas en que Divi se integra e interactúa con Gutenberg se harán más avanzadas y más fluidas en un futuro próximo. ?

¿Qué puntuación le das?
[Total: 0 Media: 0]
Divi ya es compatible con Gutenberg

Divi ya es compatible con Gutenberg

Que ganas tenía de escribir este post.

Hay post que informan, otros que forman, otros que divierten… pero este es un post para dar tranquilidad.

Si no sabes lo que es Gutenberg te lo resumo muy rápido: “El próximo editor que estará integrado en el core de WordPress a partir de que actualicen a WordPress 5.0” (ahora está en fase Beta).

La historia es que Gutenberg así de entrada no fascina a la gran mayoría ya que está muy en pañales y además ha generado mucha preocupación, porque la mayoría de las webs hechas en WordPress trabajan con editores visuales para que sea mucho más fácil diseñar páginas con columnas, filas, módulos y así poder diseñar tu página de forma visual y sencilla. Algo que no puedes hacer hasta la fecha en WordPress (sin saber código) si no usas un editor visual.

Es decir, los editores visuales como Divi, Visual Composer, Thrive Architect, Elementor, etc. han ayudado a millones de personas en el mundo a diseñar webs espectaculares sin necesidad de saber php, html, css… una maravilla vamos.

Pero… Gutenberg ha creado mucha confusión y corrían rumores de que los editores visuales no iban a ser compatibles y muchos tenían miedo de perder todos sus diseños con la entrada de WordPress 5.0 y Gutemberg.

Pues en Elegant Themes se han puesto las pilas y a partir de ayer, 31 de julio de 2018, Divi y Gutenberg son compatibles.

Como voy a explicar a continuación con todo detalle, esto es solo el principio y esta compatibilidad irá en aumento, pero a partir de ayer ya podrás decidir de forma sencilla si quieres usar Gutember o el todo súper poderoso Divi, esa impresionante joya de WordPress.

Esto escribía yo ayer por la noche en mi grupo de Divi en español de Facebook:

 

Así que vamos al lío, veamos con detalle la compatibilidad entre Divi y Gutenberg:

Alternar entre Divi y Gutenberg

Si tienes instalada la última versión de Divi (con versiones anteriores no podrás) y estás probando el próximo editor de Gutenberg, ahora encontrarás una opción para usar Divi Builder al crear nuevas páginas, así como una opción para alternar entre Divi Builder y Gutenberg para las páginas existentes.

También puede acceder directamente al Divi Builder desde la lista de publicaciones y desde el menú Agregar página nueva.

Veamos con más detalle… ¿Qué es Gutenberg?

Gutenberg es el nombre del nuevo editor de publicaciones de WordPress que se lanzará con WordPress 5.0. Esta actualización eliminará el antiguo editor de TinyMCE y modernizará las publicaciones con una nueva interfaz de Javascript. Si usas Divi, muchas cosas del editor de Gutenberg te resultarán familiares. Puedes maquetar páginas o post con bloques y separar elementos de publicación, como texto, encabezados e imágenes en sus propios bloques únicos.

¿Cuándo estará disponible WordPress 5.0?

WordPress 5.0 y la nueva interfaz de Gutenberg no se lanzarán estos días. ¡Todavía hay mucho tiempo para prepararse! El equipo principal de WordPress está trabajando para sacar WordPress 5.0 antes de fin de año, pero dependerá de cómo se realicen las pruebas en los próximos meses.

¿No quieres usar Gutenberg?

Ya hay muchos que reniegan de Gutemberg porque está a años luz de Divi y otros editores visuales que le sacan años de desarrollo, funcionalidades, flexibilidad…

Con lo que no usar Gutenberg o tratar de desactivar algo que vendrá por defecto en WordPress se estaba convirtiendo en un deseo y necesitad para muchos.

No en vano, el gran Fernando Tellado (el Lionel Messi de WordPress) ya desarrolló un plugin para desactivarlo cuándo salga llamado NO GUTENBERG.

Goy Gutemberg solo está disponible como plugin pero una vez que se publique WordPress 5.0, Gutenberg se convertirá en el editor predeterminado.

Si te preocupan los cambios de WordPress 5.0 y no está listo para aprender los detalles de una nueva interfaz, puedes instalar el plugin de Fernando o instalar el plugin de Editor clásico , que está disponible en WordPress.org. Esto le permitirá conservar el antiguo editor de publicaciones de WordPress y el clásico Divi Builder una vez que se haya lanzado WordPress 5.0.

Es decir, puedes descansar tranquilo sabiendo que Divi continuará siendo tan maravilloso como hasta ahora y además compartible con Gutemberg.

Este es solo el comienzo

Esto es solo el primer paso, la maravillosa “escudería” de Elegant Themes, liderada por el entrañable Nick Roach. tienen ya muchas ideas geniales, según dicen, sobre cómo pueden integrar mejor con el próximo editor Gutemberg. A medida que el nuevo editor continúa evolucionando, y mientras nos acercamos al lanzamiento de WordPress 5.0, esperan lanzar actualizaciones adicionales que mejorarán aún más su experiencia y compatibilidad.

Estas actualizaciones están disponibles hoy, así que descarga Divi y pruébalo.

Deja tus impresiones en los comentarios y charlamos un rato del tema si quieres.

Un abrazo amigos!!

Gonzalo de la Campa

 

 

¿Qué puntuación le das?
[Total: 0 Media: 0]

Dime dónde te envío el vídeo

(pon tu mejor email porfa)

Responsable de los datos: Gonzalo de la Campa Marinas
Finalidad de los datos: Enviarte información.
Almacenamiento de los datos: Base de datos alojada en Mailchimp
Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

Dime dónde te envío el descuento cuándo saque el curso

Responsable de los datos: Gonzalo de la Campa Marinas
Finalidad de los datos: Enviarte información.
Almacenamiento de los datos: Base de datos alojada en Profesional Hosting (UE)
Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

Dime dónde te envío

tus regalos

Responsable de los datos: Gonzalo de la Campa Marinas
Finalidad de los datos: Enviarte información.
Almacenamiento de los datos: Base de datos alojada en Profesional Hosting (UE)
Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

218813

¿Te vas sin tu regalo?

Mis secretos para crear una web de exito

+ trucos y recursos gratis para Divi

Responsable de los datos: Gonzalo de la Campa Marinas
Finalidad de los datos: Enviarte información.
Almacenamiento de los datos: Base de datos alojada en Profesional Hosting (UE)
Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

Abrir chat
1
1. ¿Quieres apuntarte a algún curso? Soy Gonzalo, cuéntame y te ayudo encantado.

2. Si eres ya alumno y tienes dudas de soporte debes escribirme a soporte@cursowordpress-online.com

3. Si no eres alumno y necesitas soporte no podré responderte salvo que contrates soporte en la web o te apuntes a alguno de mis 9 cursos con soporte.
Ir al contenido